Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.ejb.support
Class AbstractSessionBean

    java.lang.Object
      org.springframework.ejb.support.AbstractEnterpriseBean
          org.springframework.ejb.support.AbstractSessionBean

All Implemented Interfaces:
  java.io.Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean, SmartSessionBean

Direct Known Subclasses:
  AbstractStatefulSessionBean, AbstractStatelessSessionBean

    public abstract class AbstractSessionBean

extends AbstractEnterpriseBean
implements SmartSessionBean

Base class for Spring-based EJB 2.x session beans. Not intended for direct subclassing: Extend `AbstractStatelessSessionBean` or `AbstractStatefulSessionBean` instead.

This class saves the session context provided by the EJB container in an instance variable and exposes it through the `SmartSessionBean` interface.

Author:
  Rod Johnson, Juergen Hoeller
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.springframework.ejb.support.AbstractEnterpriseBean
`BEAN_FACTORY_PATH_ENVIRONMENT_KEY`

Constructor Summary
`AbstractSessionBean()`

Method Summary
`javax.ejb.SessionContext` | `getSessionContext()` Convenience method for subclasses, returning the EJB session context saved on initialization (`setSessionContext(javax.ejb.SessionContext)`).
`void` | `setSessionContext(javax.ejb.SessionContext sessionContext)` Set the session context for this EJB.

Methods inherited from class org.springframework.ejb.support.AbstractEnterpriseBean
`ejbRemove, getBeanFactory, onEjbRemove, setBeanFactoryLocator, setBeanFactoryLocatorKey`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.ejb.SessionBean
`ejbActivate, ejbPassivate, ejbRemove`

Constructor Detail

### AbstractSessionBean

    public AbstractSessionBean()

Method Detail

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext sessionContext)

  Set the session context for this EJB.

  When overriding this method, be sure to invoke this form of it first.

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`

### getSessionContext

    public final javax.ejb.SessionContext getSessionContext()

  Convenience method for subclasses, returning the EJB session context saved on initialization (`setSessionContext(javax.ejb.SessionContext)`).

  Specified by:
    `getSessionContext` in interface `SmartSessionBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD